### Method

# Clutter ActorIter next

#### Declaration [src]

    gboolean
    clutter_actor_iter_next (
      ClutterActorIter* iter,
      ClutterActor** child
    )

#### Description [src]

Advances the `iter` and retrieves the next child of the root `ClutterActor` that was used to initialize the `ClutterActorIterator`.

If the iterator can advance, this function returns `TRUE` and sets the `child` argument.

If the iterator cannot advance, this function returns `FALSE`, and the contents of `child` are undefined.

#### Parameters

`child`

  Type: `ClutterActor`

  Return location for a `ClutterActor`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the iterator could advance, and `FALSE` otherwise.